package cn.ey.biz.module.system.convert.app;

import cn.ey.biz.common.pojo.PageResult;
import cn.ey.biz.module.system.api.app.dto.AppDTO;
import cn.ey.biz.module.system.controller.admin.app.vo.AppCreateReqVO;
import cn.ey.biz.module.system.controller.admin.app.vo.AppExcelVO;
import cn.ey.biz.module.system.controller.admin.app.vo.AppRespVO;
import cn.ey.biz.module.system.controller.admin.app.vo.AppUpdateReqVO;
import cn.ey.biz.module.system.dal.dataobject.app.AppDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 系统应用 Convert
 */
@Mapper
public interface AppConvert {

    AppConvert INSTANCE = Mappers.getMapper(AppConvert.class);

    AppDO convert(AppCreateReqVO bean);

    AppDO convert(AppUpdateReqVO bean);

    AppRespVO convert(AppDO bean);

    AppCreateReqVO convert(AppDTO dto);

    List<AppCreateReqVO> convertDtoList(List<AppDTO> dtoList);

    List<AppRespVO> convertList(List<AppDO> list);

    PageResult<AppRespVO> convertPage(PageResult<AppDO> page);

    List<AppExcelVO> convertList02(List<AppDO> list);

}
